# Intel EPC Sunnymead Colden

[ActionItems]

[Models]
HDAUDIO\FUNC_01&VEN_8384&DEV_7683&SUBSYS_8086073A=this
Default=this

[DelRegKeys]
HKR\Settings=yes
HKLM\Software\SigmaTel\StacGUI=yes
HKCU\Software\SigmaTel\Settings=yes
HKLM\Software\Sigmatel\STSysTray=yes
HKLM\SOFTWARE\SigmaTel\GlobalState=yes
HKCU\Software\Microsoft\Windows\CurrentVersion\Applets\Volume Control\SigmaTel Audio=yes
HKCU\Software\Microsoft\Windows\CurrentVersion\Applets\Volume Control\SigmaTel Audio2=yes
HKCU\Software\Microsoft\Multimedia\Sound Mapper=Yes

[APPS]
sonicfocussetup=yesinvisible
;;StartSTSysTray=YesInvisible     ;removed to make optional

[CopyFiles]
sttray.exe = 0x24
stacgui.cpl = 0x25
stlang.dll = 0x25
stacsv.exe = 0x25

[RegisterDlls]
stacapi.dll

[LaunchPrograms]
STacSV -r

[HKLM\Software\Microsoft\Windows\CurrentVersion\Run]
SigmatelSysTrayApp="sttray.exe"

[HKLM\SOFTWARE\SigmaTel\GlobalState\STSysTray\1.0]
ShowEventDialog = dword: 1

[HKLM\Software\Sigmatel\STSysTray\1.0]
HideTrayIcon   = dword: 1
PollingPeriod  = dword: 500
RecordPriority = dword: 0
ControlPanel   = "stacgui.cpl"
Automatic      = dword: 1

[HKR]
CodecName = "STAC9220"

[HKR\Settings]
InitVerbs                            = hex:
TraceFlags                           = dword: 0x89B3
CPL_SaveExtraPower                   = hex: 0
CPL_MaySwitchExtAmpPowerState        = hex: 0
CPL_UserControlsMaySwitchExtAmpPowerState = hex: 0
CPL_SecondsAfter                     = dword: 5
CPL_SpdifTransmitterEnabledByUser    = hex: 1
CPL_UserControlsFixedDigitalOutRate  = hex: 1
CPL_FixedDigitalOutRate              = dword: 48000
MicBoostLevel                        = dword: 0x000A0000
Mic2BoostLevel                       = dword: 0x000A0000
VolumeKnobUpdateRate                 = hex: 3     ;range 0-7 (2.5Hz to 20Hz) (default=0)
AllowHpOnNotSupportingPin            = hex: 1

[HKR\Settings\pin]

[HKR\Settings\Pin\0A]
CfgDflt = dword: 0x0222401F     #0A# <STAC9220> (Port A:Pins39/41) Jack:1/4" Stereo/Mono, HP Out, Green, A:1, S:F, Loc:Primary Chassis Ext., Front, Det:No, Imp:No

[HKR\Settings\Pin\0B]
CfgDflt = dword: 0x01041110     #0B# <STAC9220> (Port B:Pins21/22) Jack:RCA, Line Out, Black, A:1, S:0, Loc:Primary Chassis Ext., Rear, Det:Yes, Imp:No

[HKR\Settings\Pin\0C]
CfgDflt = dword: 0x400000FC     #0C# <STAC9220> (Port C:Pins23/24) No Connection:Unknown Type, Line Out, Unknown, A:F, S:C, Loc:Primary Chassis Ext., N/A, Det:No, Imp:No

[HKR\Settings\Pin\0D]
CfgDflt = dword: 0x400000FD     #0D# <STAC9220> (Port D:Pins35/36) No Connection:Unknown Type, Line Out, Unknown, A:F, S:D, Loc:Primary Chassis Ext., N/A, Det:No, Imp:No

[HKR\Settings\Pin\0E]
CfgDflt = dword: 0x02A2902E     #0E# <STAC9220> (Port E:Pins14/15) Jack:1/4" Stereo/Mono, Mic In, Pink, A:2, S:E, Loc:Primary Chassis Ext., Front, Det:No, Imp:No
Action = hex: 09,0E

[HKR\Settings\Pin\0F]
CfgDflt = dword: 0x0124111F     #0F# <STAC9220> (Port F:Pins16/17) Jack:RCA, HP Out, Black, A:1, S:F, Loc:Primary Chassis Ext., Rear, Det:Yes, Imp:No

[HKR\Settings\Pin\10]
CfgDflt = dword: 0x01451030     #10# <STAC9220> (SPDIF Out:Pin48) Jack:Optical, SPDIF Out, Black, A:3, S:0, Loc:Primary Chassis Ext., Rear, Det:No, Imp:No

[HKR\Settings\Pin\11]
CfgDflt = dword: 0x400000FB     #11# <STAC9220> (SPDIF In:Pin47) No Connection:Unknown Type, Line Out, Unknown, A:F, S:B, Loc:Primary Chassis Ext., N/A, Det:No, Imp:No

[HKR\Settings\Pin\15]
CfgDflt = dword: 0x503300F0     #15# <STAC9220> (CD In:Pins18/19/20) No Connection:ATAPI Internal, CD In, Unknown, A:F, S:0, Loc:Internal, N/A, Det:No, Imp:No

[HKR\Settings\Pin\1B]
CfgDflt = dword: 0x400000FE     #1B# <STAC9220> (I2S Out:Pin44) No Connection:Unknown Type, Line Out, Unknown, A:F, S:E, Loc:Primary Chassis Ext., N/A, Det:No, Imp:No

[HKR\Settings\GPIO]

[HKR\Settings\Connselector]

[HKR\Settings\filter\Rear]
UniqueID                             = hex: 0
LegacyIoctlHere                      = hex: 1
RenderConverter                      = hex: 4
SlavedHpConverter                    = hex: 2,5
SpdifOutConverter                    = hex: 8
SpdifMaster                          = hex: 4
CaptureConverter                     = hex: 6
EnableCompositeMuxAndAdcCtrl         = hex: 0
Associations                         = hex: 1,2,3
DisableSPDIFControl                  = hex: 1
SpdifOutCtrl                         = hex: 1
FixedLevelOnLineOut                  = hex: 0
DigitalVolumeControl                 = hex: 1

EnableInputMonitor                   = hex: 1
KeepAdcAlwaysOn                      = hex: 1
MasterControlsIndependentMixerInputs = hex: 1
MicBoost                             = hex: 0
Mic2Boost                            = hex: 0

EnableSetFormatSupport               = hex: 1
EnableHwSpeakerConfigurationSupport  = hex: 0

#24-bit resolution, all rates except 8K
EnabledPcmRenderBitsAndRates         = dword: 0xfffffffe
EnabledPcmCaptureBitsAndRates        = dword: 0xfffffffe

#HW Volume Control
EnableVolumeKnob                     = hex: 1

[HKR\Settings\filter\Rear\TopoNames]

[HKR\Settings\filter\Rear\plugins]
RegVersion                           = dword: 1

[HKR\Settings\filter\Rear\plugins\Render]

[HKLM\SOFTWARE\Sigmatel\STacGUI]
Config_Tab                           = dword: 0xF
Config_Spk                           = dword: 0x1
Config_Adv                           = dword: 0x109
Config_Digital                       = dword: 0x5
Config_Rates                         = dword: 0x3F
Config_MicLevN                       = dword: 0x1
MicBoost[0]                          = dword: 0xA

[HKLM\Software\SigmaTel\StacGUI\XML]
Nconfigs = dword: 0x0

[History]
4/25/05    Create Sunnymead from i5.ini
4/29/05    Make sunny a separate config
5/19/05    Change to .cfg
           Remove stacapi reg's (moved to INF)
5/26/05    Update to spreadsheet config
5/26/2005  Updated by WIDGET
6/28/2005  Updated by WIDGET
7/1/05     Add DDL
7/6/05     Remove spreader
7/6/2005   Updated by WIDGET
7/8/2005   Updated by WIDGET, to configure FixedLevelOnLineOut and multi-out
7/11/2005  Updated by WIDGET
7/15/05    Add HW volume control
7/29/2005  v8 Updated by WIDGET.  Set CD-In to no-connect.
8/4/05     v9 Set OutAC3 to off, remove old keys
           v10 Add and configure stacgui.cpl
8/5/05     v11 stacgui Adv tab only
1/11/2006  Updated by WIDGET
1/12/06    Remove Dolby config
1/11/06    Add input mute actions
2/1/2006   Updated by WIDGET
2/10/2006  Updated by WIDGET
7/11/2006  Updated by WIDGET
7/12/2006  Updated by WIDGET
7/19/06    Remove Fixed level volume
